Package: groovy.junit6.plugin

## [Java] Class ForkedJvmTestRunner

- groovy.junit6.plugin.ForkedJvmTestRunner

-     public final class ForkedJvmTestRunner
      extends Object

  Child-JVM entry point for ForkedJvm-annotated tests.

  Invoked by ForkedJvmExtension with the qualified test class name and method name as command-line arguments. Runs exactly that one test method via the JUnit Platform Launcher, then reports outcome to the parent via the file referenced by the system property `groovy.junit6.forked.result`: empty file on success, serialized Throwable (with text fallback) on failure.

  Since:
    6.0.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static int` | `ABORTED_EXIT_CODE` | Exit code used when the child reports an aborted test.
    `static byte` | `ABORTED_MARKER` | Marker byte at the start of the result file for an aborted test.
    `static String` | `FORKED_FLAG` | Set on the child JVM so ForkedJvmExtension doesn't re-fork.
    `static String` | `RESULT_FILE_PROP` | Path of the result file the child writes into.
    `static byte` | `TEXT_FALLBACK_MARKER` | Marker byte at the start of the result file when the failure had to be written as text instead of a serialized Throwable.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static void` | `main(String[] args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final int ABORTED_EXIT_CODE

      Exit code used when the child reports an aborted test.

    - #### public static final byte ABORTED_MARKER

      Marker byte at the start of the result file for an aborted test.

    - #### public static final String FORKED_FLAG

      Set on the child JVM so ForkedJvmExtension doesn't re-fork.

    - #### public static final String RESULT_FILE_PROP

      Path of the result file the child writes into.

    - #### public static final byte TEXT_FALLBACK_MARKER

      Marker byte at the start of the result file when the failure had to be written as text instead of a serialized Throwable. Distinguishable because ObjectOutputStream's STREAM_MAGIC is `0xACED`, never starts with `0x00`.

  - ### Method Detail

    - #### public static void main(String[] args)